Skip to main content
`Ctrl`+`K`

# PetscCuBLASIntCast

like `PetscBLASIntCast()`, but for `PetscCuBLASInt`.

## Synopsis

    static inline PetscErrorCode PetscCuBLASIntCast(MPIU_Count a, PetscCuBLASInt *b)

Not Collective; No Fortran Support

## Input Parameter

- a - the `PetscInt` value

## Output Parameter

- b - the resulting `PetscCuBLASInt` value, or `NULL` if the result is not needed

## Note

Errors if the integer is negative since PETSc calls to cuBLAS and friends never need to cast negative integer inputs

## See Also

`PetscCuBLASInt`, `PetscBLASInt`, `PetscMPIInt`, `PetscInt`, `PetscBLASIntCast()`, `PetscMPIIntCast()`, `PetscCIntCast()`, `PetscIntCast()`

## Level

advanced

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages